.hr-font {
  font-family: "HelveticaNeueRegular", sans-serif;
}

#alert.custom-alert {
  top: -40px !important;
}

.main-wrapper {
  height: calc(100vh - 62px);
}

.content-wrapper {
  height: calc(100% - 54px);
}

.schedular-wrapper {
  position: relative;
}

.calendar-popup.main-wrapper {
  border: 1px solid rgba(0, 0, 0, 0.12);
}

.appt-header-wrapper {
  margin-bottom: 10px;
}

/* SCHEDULAR CSS */
/* REMOVE SCHEDULAR ORIGINAL HEADER */
.appoinment-sdlr .dx-scheduler-header {
  display: none !important;
}

.appoinment-sdlr .dx-scheduler-work-space {
  /*background: transparent;*/
  padding-top: 0 !important;
  margin-top: 0 !important;
}

.display {
  visibility: visible !important;
}

.appoinment-sdlr .dx-scheduler-work-space.dx-scheduler-work-space-grouped:not(.dx-scheduler-agenda) .dx-scheduler-all-day-title {
  border: none !important;
}

.test {
  position: absolute;
  top: 13px;
  left: 9px;
}

.appoinment-sdlr .dx-scheduler-header-panel {
  margin-top: 0;
  /*border-bottom: 1px solid #b3b3b3 !important;*/
  border-bottom: none !important;
}

.appoinment-sdlr .dx-scheduler-all-day-table-row::before,
.dx-scheduler-group-row::before,
.dx-scheduler-header-row::before {
  width: 44px;
  border-right: 1px solid #B7B7B7;
}

.appoinment-sdlr .dx-scheduler-all-day-table-row td {
  border: none !important;
  border-right: 1px solid #a8a5ae !important;
}

.appoinment-sdlr .dx-scheduler-time-panel {
  width: 44px;
  border-right: none !important;
}

.appoinment-sdlr .dx-scheduler-time-panel-cell.dx-scheduler-cell-sizes-vertical {
  padding: 0;
}

.appoinment-sdlr .dx-scheduler-time-panel-cell::after {
  width: 0;
}

/*.appoinment-sdlr .dx-scheduler-all-day-table .dx-scheduler-all-day-table-row .dx-scheduler-all-day-table-cell {*/
/*  border-right: 1px solid #a8a5ae;*/
/*}*/

.appoinment-sdlr .dx-scheduler-work-space.dx-scheduler-work-space-grouped:not(.dx-scheduler-agenda) .dx-scheduler-date-table-cell {
  border-left: none;
  padding: 0;
  border-top: 0;
  border-right: 1px solid #a8a5ae;
}

.appoinment-sdlr .dx-scheduler-work-space-grouped .dx-scheduler-group-row th,
.appoinment-sdlr .dx-scheduler-work-space-grouped .dx-scheduler-header-row th,
.appoinment-sdlr .dx-scheduler-work-space.dx-scheduler-work-space-grouped .dx-scheduler-last-group-cell {
  border-right: 1px solid #a8a5ae;
}

/*.appoinment-sdlr .dx-scheduler-header-panel .dx-scheduler-group-row:nth-child(1) .dx-scheduler-first-group-cell {*/
/*  border-right: none !important;*/
/*}*/

.appoinment-sdlr .dx-scheduler-header-panel .dx-scheduler-first-group-cell {
  border-right: 1px solid #a8a5ae;
}

/*.appoinment-sdlr .dx-scheduler-work-space-grouped .dx-scheduler-group-row th,*/
.appoinment-sdlr .dx-scheduler-work-space.dx-scheduler-work-space-grouped .dx-scheduler-last-group-cell:nth-child(1) {
  border-right: 1px solid #a8a5ae;
}

.appoinment-sdlr .first-time-cell {
  margin-top: 0 !important;
}

.appoinment-sdlr .time-cell-text {
  text-align: left;
  font-size: 11px;
  padding-left: 2px;
  padding-top: 3px;
  font-weight: 700;
  margin-top: 13px;
}

.appoinment-sdlr .time-cell-text.minute-text {
  margin: 2px 2px 0 0;
  text-align: right;
  font-size: 9px !important;
}

/*.appoinment-sdlr .dx-scheduler-date-table {*/
/*  margin-left: -44px;*/
/*}*/

.appoinment-sdlr .dx-scheduler-date-table .dx-scheduler-date-table-row::before, .dx-scheduler-date-table .dx-scheduler-virtual-row::before {
  width: 44px;
}

/* SCHEDULAR DATE TEMPLATE */
.date-template {
  padding-left: 10px;
}

.date-template a {
  color: #394085 !important;
  font-weight: normal;
}

.header-row-seperator {
  border-bottom: 1px solid #DADADA;
}

.header-row-seperator-top {
  border-top: 1px solid #DADADA;
}

.appoinment-sdlr .dx-scheduler-header-panel .dx-scheduler-group-header {
  border-left: 1px solid #B7B7B7 !important;
}

.appoinment-sdlr .dx-scheduler-header-panel .dx-scheduler-group-header div {
  height: 100%;
}

/* SCHEDULAR PRACTIONER TEMPLATE */
.practioner-template {
  height: 64px !important;
  min-width: 120px;
  padding: 0 5px 0 5px;
}

.practioner-template.margin-for-day-view {
  margin-top: 32px;
}

.practioner-template.margin-for-day-view-not-group {
  margin-bottom: 31px;
}

.practioner-sdlr-avatar {
  background-color: #c4c4c4 !important;
}

.practioner-template .practioner-name {
  color: #394085 !important;
  padding-left: 6px;
  height: auto !important;
  min-width: 72px;
}

.appoinment-count-badge {
  min-width: 28px;
  max-width: 28px;
  top: 10px;
  font-size: 12px;
}

/* SCHEDULAR DATA CELL TEMPLATE */
.data-template {
  background: transparent;
  height: 100%;
}

.data-template.seprator {
  border-top: 1px solid rgba(183, 183, 183, 0.50);
}

.minute-seprator {
  border-top: 1px solid rgba(183, 183, 183, 0.50);
}

.start-new-hour {
  border-top: 1px solid #b3b3b3 !important;
}

/*.appoinment-sdlr .dx-state-focused.dx-schedular-focused-cell {*/
/*  border: none !important;*/
/*}*/

.appoinment-sdlr .dx-scheduler-all-day-table-cell.dx-scheduler-focused-cell,
.appoinment-sdlr .dx-scheduler-date-table-cell.dx-scheduler-focused-cell {
  /*border: none !important;*/
  background: none !important;
  box-shadow: none !important;
}

.appoinment-sdlr .dx-scrollable-content > .dx-scheduler-date-time-indicator {
  /*width: 100% !important;*/
  background-color: #E15D29;
  height: 1.53px;
  /*margin-left: 44px;*/
}

.appoinment-sdlr .dx-scrollable-content > .dx-scheduler-date-time-indicator:before {
  content: " ";
  border: 4px solid #E15D29;
  border-radius: 100%;
  margin-top: 0;
  margin-left: 0;
  top: -4px;
}

.appoinment-sdlr .dx-scheduler-time-panel-cell.dx-scheduler-time-panel-current-time-cell::before {
  width: 0 !important;
}

/*.appoinment-sdlr .dx-scrollable-content > .dx-scheduler-date-time-indicator {*/
/*  visibility: hidden;*/
/*}*/

/*.dx-scheduler-date-time-indicator:nth-of-type(2),*/
/*.dx-scheduler-date-time-indicator:nth-of-type(5),*/
/*.dx-scheduler-date-time-indicator:nth-of-type(8),*/
/*.dx-scheduler-date-time-indicator:nth-of-type(11),*/
/*.dx-scheduler-date-time-indicator:nth-of-type(14),*/
/*.dx-scheduler-date-time-indicator:nth-of-type(17),*/
/*.dx-scheduler-date-time-indicator:nth-of-type(20)*/
/*{*/
/*  visibility: visible !important;*/
/*}*/


.appoinment-sdlr .dx-scheduler-all-day-title {
  display: none !important;
}

.appoinment-sdlr .dx-scheduler-header-panel-cell {
  height: 30px !important;
}

.appoinment-sdlr .dx-scheduler-header-row .dx-scheduler-header-panel-cell div {
  height: 100%;
}

.appoinment-sdlr .dx-scheduler-header-scrollable {
  height: 94px !important;
  background: #F5F5F5;
  /*border-bottom: 1px solid #b3b3b3 !important;*/
  /*padding-left: 44px !important;*/
  padding-right: 18px !important;
  margin-left: 0 !important;
}

.appoinment-sdlr.all-day .dx-scheduler-header-scrollable {
  /*height: 121px !important;*/
  background: #F5F5F5;
  /*border-bottom: 1px solid #b3b3b3 !important;*/
  /*padding-left: 44px !important;*/
  padding-right: 18px !important;
  margin-left: 0 !important;
}

.appoinment-sdlr .dx-scheduler-date-table-scrollable {
  margin-left: 44px !important;
}

.appoinment-sdlr.day-view .dx-scheduler-sidebar-scrollable, .appoinment-sdlr.day-view .dx-scheduler-date-table-scrollable {
  padding-bottom: 94px !important;
  margin-bottom: -94px !important;
}

.appoinment-sdlr .dx-scheduler-date-table, .appoinment-sdlr .dx-scheduler-header-panel {
  /*width: 2018px !important;*/
  /*width: 100%;*/
}

/* KENDO SPLITTER PANE */
.splitter-pane .sdlr-pane {
  flex-shrink: unset;
  flex-grow: 1;
}

.splitter-pane .k-pane {
  height: calc(100vh - 137px);
}

.splitter-pane.k-splitter {
  color: #1C1B1B !important;
}

.scheduler-main-wrapper {
  position: relative;
  overflow: hidden;
}

.time-panel-content-seprator {
  position: absolute;
  width: 46px;
  top: 0;
  bottom: 0;
  left: 0;
  border-right: 1px solid #b7b7b7;
  border-top: 1px solid #dadada;
  z-index: 1;
}

.time-panel-content-bottom-seprator {
  position: absolute;
  height: 19px;
  bottom: 0;
  border: none;
  border-top: 1px solid #b3b3b3;
  left: 0;
  width: 45px;
  z-index: 1;
}

.text-black {
  color: #000000 !important;
}

/* MANAGE TIME CELL HEIGHT */

/*.appoinment-sdlr.small .dx-scheduler-date-table-cell {*/
/*  height: 19px !important;*/
/*}*/
/*.appoinment-sdlr.small .dx-scheduler-time-panel-cell {*/
/*  height: 19px;*/
/*}*/
.appoinment-sdlr.small .dx-scheduler-date-table-cell {
  height: 16px !important;
}

.appoinment-sdlr.small .dx-scheduler-time-panel-cell {
  height: 16px;
}

.appoinment-sdlr.medium .dx-scheduler-date-table-cell,
.appoinment-sdlr.medium .dx-scheduler-time-panel-cell {
  height: 20px;
}

.appoinment-sdlr .dx-scheduler-date-table-cell,
.appoinment-sdlr .dx-scheduler-time-panel-cell {
  height: 25px;
}

.appoinment-sdlr.large .dx-scheduler-date-table-cell,
.appoinment-sdlr.large .dx-scheduler-time-panel-cell {
  height: 30px;
}

.appoinment-sdlr.big .dx-scheduler-date-table-cell,
.appoinment-sdlr.big .dx-scheduler-time-panel-cell {
  height: 50px;
}

.pttr-splitter-pane.k-pane-static {
  transition: all .5s !important;
}

.pttr-statics-popup .dx-popup-normal {
  border-radius: 0 !important;
  background: #F5F5F5 !important;
  padding: 10px 7px;
  color: #394085 !important;
  font-size: 12px !important;
}

.pttr-statics-popup .dx-popup-content {
  padding: 0 !important;
}

.pttr-statics-popup .dx-popup-normal .dx-popover-arrow {
  width: 25px !important;
  height: 13px !important;
}

.pttr-statics-popup .dx-popup-normal .dx-popover-arrow:after {
  width: 19.18px !important;
  height: 19.18px !important;
  background: #F5F5F5;
}

.pttr-statistic-wrapper table td, .pttr-statistic-wrapper table td {
  font-size: 10px !important;
  padding: 0;
  color: #394085 !important;
  border: none;
  width: 50%;
  padding-top: 3px;
}

.pending-button {
  position: absolute;
  top: -30px;
  left: 50%;
  transform: translateX(-50%);
  width: 40px;
  height: 30px;
  background: rgba(0, 0, 0, 0.4);
  border: none;
  color: #ffffff !important;
  border-top-left-radius: 4px;
  border-top-right-radius: 4px;
  z-index: 555555 !important;
}

.pending-button mat-icon {
  /*font-size: 20px;*/
  height: unset;
}

/* CHNAGE SCROLLBAR */
.appoinment-sdlr .dx-scheduler-date-table-scrollable .dx-scrollable-wrapper {
  padding: 0 18px 18px 0;
  background: #F5F5F5;
}

.appoinment-sdlr .dx-scheduler-sidebar-scrollable .dx-scrollable-wrapper {
  padding-bottom: 18px;
}

.appoinment-sdlr .dx-scheduler-header-scrollable .dx-scrollable-wrapper {
  border-right: 1px solid #dadada !important;
  border-top: 1px solid #dadada !important;
  border-bottom: 1px solid #b3b3b3;
  background: #ffffff;
  padding-left: 44px !important;
}

.appoinment-sdlr .dx-scrollbar-horizontal {
  display: flex;
  align-items: center;
  height: 18px !important;
  background: linear-gradient(90deg, white calc(100% - 18px), #f5f5f5 0%) !important;
  border: 1px solid #DADADA !important;
  border-bottom: none !important;
}

.appoinment-sdlr .dx-scrollbar-vertical {
  display: flex;
  justify-content: center;
  width: 18px !important;
  height: calc(100% - 17px) !important;
  background: #ffffff !important;
  border: 1px solid #DADADA !important;
  border-right: none !important;
}

.appoinment-sdlr .dx-scrollbar-horizontal .dx-scrollable-scroll {
  height: 10px !important;
  background: #D6D6D6;
  border-radius: 100px;
}

.appoinment-sdlr .dx-scrollbar-vertical .dx-scrollable-scroll {
  width: 10px !important;
  background: #D6D6D6;
  border-radius: 100px;
}

.appoinment-sdlr .dx-scrollable-scroll .dx-scrollable-scroll-content {
  opacity: 1;
  background: transparent !important;
}

/* BOTTOM PENDING BUTTON */
.pending-btn-badge-container {
  width: 40px;
  height: 30px;
}

.pending-btn-badge {
  width: 16px !important;
  height: 16px !important;
}

.pending-btn-badge-text {
  font-size: 14px;
  line-height: 16px;
}

/* POPUP FOR ADD/EDIT SCHEDULE */
.anchor-for-ae-schedule {
  position: absolute;
  right: 0;
  top: 0;
  bottom: 0;
  width: 0;
  background: yellow;
}

.add-edit-schedule-popup {
  background: #ffffff;
  width: 366px;
  top: 0 !important;
  bottom: 0 !important;
  z-index: 11111;
  box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.25);
}

.add-edit-schedule-popup .k-popup {
  background: none;
  border-radius: 0;
  border: none;
  height: 100%;
}

/** Wait List Popup */
.wait-list-popup {
  background: #ffffff;
  width: 321px;
  max-height: 200px;
  z-index: 11111;
  box-shadow: 0 2px 4px 2px rgba(0, 0, 0, 0.33);

  .wait-list-row {
    background: transparent;
    width: 100%;
    height: 60px;
    border: none;
    border-bottom: 1px solid #DADADA;
    padding: 10px;

    &:hover {
      background: #F6F4FB;
    }
  }
}

.wait-list-popup .k-popup {
  background: none;
  border-radius: 0;
  border: none;
  height: 100%;
}


@media screen and (max-width: 768px) {
  .dx-scheduler-date-table-scrollable .dx-scrollable-wrapper {
    padding: 0 !important;
  }

  .dx-scheduler-sidebar-scrollable .dx-scrollable-wrapper {
    padding-bottom: 0 !important;
  }

  .appoinment-sdlr .dx-scheduler-header-scrollable {
    padding-right: 0 !important;
  }

  .pending-button {
    bottom: 0;
  }
}

.dx-scheduler-date-table-row:nth-child(1) .data-template {
  border-top: none !important;
}

.dx-scheduler-time-panel .dx-scheduler-time-panel-row:nth-child(1) .time-cell-text {
  margin-top: 0 !important;
}

.current-date-wrapper {
  background: #ffffff;
  position: absolute;
  z-index: 1;
  height: 30px;
  top: 2px;
  right: 19px;
  left: 46px;
  overflow: hidden;
}

.top-63px {
  top: 64px;
}

.right-corner {
  position: absolute;
  right: 0;
  top: 0;
  height: 94px;
  width: 20px;
  background: #F5F5F5;
  border-left: 1px solid #dadada;
  z-index: 2;
}

.border-right-seprator {
  border-right: 1px solid #a8a5ae;
}

.current-date-top {
  min-width: 180px;
}

/* CURRENT TIME HOVER TOOLTIP */
.hovered-time-tooltip {

}

.appoinment-sdlr .dx-scheduler-date-table-cell.dx-state-hover {
  background: transparent;
}

.appoinment-sdlr.schedule .dx-scheduler-date-table-cell.dx-state-hover {
  background: rgba(0, 0, 0, .04);
}

.appoinment-sdlr .type-0 .dummy-minute-hour-line:hover {
  background: rgba(0, 0, 0, .04);
}

/* APPOINMENT CSS */

.appoinment-sdlr .dx-scheduler-appointment .dx-resizable-handle {
  display: none;

}

.appoinment-sdlr .dx-scheduler-appointment .dx-scheduler-appointment:not(.dx-scheduler-appointment-drag-source)::before,
.appoinment-sdlr .dx-scheduler-appointment.dx-state-focused:not(.dx-scheduler-appointment-drag-source)::before {
  background: none;
}

.appoinment-sdlr .dx-scheduler-appointment {
  border: none;
  border-left: 1px solid transparent;
  border-right: 1px solid transparent;
  border-top: 1px solid transparent;
  box-sizing: border-box;
  box-shadow: none;
}

.appoinment-sdlr .dx-scheduler-appointment.dx-scheduler-all-day-appointment {
  height: 20px !important;
  min-height: 20px !important;
  max-height: 20px !important;
  background: #FF7944;
  border: none;
  border-bottom: 1px solid #ffffff;
}

.appoinment-sdlr .dx-scheduler-appointment.dx-scheduler-all-day-appointment .schedule-content-container {
  margin: 0 !important;
  position: relative;
}

.appoinment-sdlr .dx-scheduler-appointment.dx-scheduler-all-day-appointment .schedule-content-container .title-wrapper {
  text-align: center;
  font-size: 14px !important;
  font-family: 'HelveticaNeueRegular', "Roboto", sans-serif;
  position: absolute;
  left: 50%;
  transform: translateX(-50%);
}

/*.appoinment-sdlr .dx-scheduler-appointment.dx-scheduler-all-day-appointment:first-child {*/
/*  transform: translate(0px, 1px) !important;*/
/*}*/

.appoinment-sdlr .dx-scheduler-appointment.dx-state-active {
  opacity: 1 !important;
}

.appoinment-sdlr .dx-scheduler-appointment .type-1 {
  padding: 0;
  background-image: repeating-linear-gradient(135deg, #dfdfdf, #dfdfdf 3px, #f5f5f5 3px, #f5f5f5 8px);
}

.appoinment-sdlr .dx-scheduler-appointment .type-0 {
  background-color: #E9E4F5 !important;
  position: relative;
}

.appoinment-sdlr .dx-scheduler-appointment .type-0 .hours-line-wrapper {
  position: absolute;
  top: -1px;
  bottom: 0;
  left: 0;
  right: 0;
}

.appoinment-sdlr .showtime-preview, .appoinment-sdlr .appt-notes {
  color: #7F7F7F;
}

.appoinment-sdlr .showtime-preview {
  font-size: 12px;
  line-height: 14px;
}

.appoinment-sdlr .appt-notes {
  font-size: 10px;
  line-height: 14px;
  margin-top: 4px;
}

.appoinment-sdlr .dx-scheduler-appointment .type-0 {
  padding: 0;
}

.appoinment-sdlr.schedule .dx-scheduler-appointment .type-0 {
  background-color: #A18BD6 !important;
  padding: 0;
}

.appoinment-sdlr .schedule-content-container {
  margin: 6px 11px !important;
}

.appoinment-sdlr .type-1 .schedule-content-container {
  margin: 0 11px !important;
}

.appoinment-sdlr.schedule .showtime-preview {
  font-size: 12px;
  line-height: 14px;
  color: #ffffff;
}

.appoinment-sdlr.schedule .appt-notes {
  font-size: 10px;
  line-height: 14px;
  color: #ffffff;
  margin-top: 4px;
}

.appoinment-sdlr.schedule .schedule-save-btn-wrapper {

}

.appoinment-sdlr.schedule .schedule-save-btn {
  background: #8d71d0;
  width: 48px;
  min-width: 48px;
  max-width: 48px;
}


/* BREAK TYPE CSS */
.appoinment-sdlr .type-1 .schedule-save-btn-wrapper {
  background: #C5C5C5;
  border: none;
  min-width: 5px;
  max-width: 48px;
}

.appoinment-sdlr .type-1 .schedule-save-btn {
  background: #C5C5C5;
  border: none;
  width: 5px;
  min-width: 5px;
  max-width: 48px;
}

.appoinment-sdlr .dx-scheduler-appointment .type-1 .showtime-preview,
.appoinment-sdlr .dx-scheduler-appointment .type-1 .appt-notes,
.appoinment-sdlr .dx-scheduler-appointment .type-1 .title-wrapper .title {
  color: #1C1B1B;
}

.appoinment-sdlr .dx-scheduler-appointment .type-1 .appt-notes {
  font-size: 10px;
  line-height: unset;
}

/* appoinment css */
.appoinment-sdlr .dx-scheduler-appointment .type-2 {
  padding: 0;
  background: #008AFF;
}

.appoinment-sdlr .type-2 .schedule-content-container {
  margin: 0 0 0 11px !important;
}

.appoinment-sdlr .type-2 .schedule-save-btn-wrapper {
  /* background: #C5C5C5; */
  //background: #E15D29;
  border: none;
  min-width: 5px;
  max-width: 48px;
}

.appoinment-sdlr .type-2 .schedule-save-btn {
  /* background: #C5C5C5; */
  background: transparent;
  border: none;
  width: 5px;
  min-width: 5px;
  max-width: 48px;
}

.appoinment-sdlr .dx-scheduler-appointment .type-2 .showtime-preview,
.appoinment-sdlr .dx-scheduler-appointment .type-2 .appt-notes,
.appoinment-sdlr .dx-scheduler-appointment .type-2 .title-wrapper .title {
  color: #1C1B1B;
}

.appoinment-sdlr .dx-scheduler-appointment .type-2 .appt-notes {
  font-size: 10px;
  line-height: unset;
}

/* OVERRIDE GLOBAL STYLE CSS */
app-schedular .mat-stroked-button {
  font-size: 14px !important;
}

.disabled, input:disabled, button:disabled {
  background: #fafafa;
  color: rgba(28, 27, 27, 0.3);
  border-color: #e9ecef !important;
  pointer-events: none !important;
}

.disabled i {
  color: rgba(28, 27, 27, 0.3) !important;
}

.disabled::placeholder, input:disabled::placeholder {
  color: rgba(28, 27, 27, 0.3);
  opacity: 1; /* Firefox */
}

.disabled:-ms-input-placeholder, input:disabled:-ms-input-placeholder {
  color: rgba(28, 27, 27, 0.3);
}

.disabled::-ms-input-placeholder, input:disabled::-ms-input-placeholder {
  color: rgba(28, 27, 27, 0.3);
}

/* REMOVE APPOINTMENT LOADING */
.appoinment-sdlr .dx-loadpanel-content {
  display: none;
}


/* POPOVER FOR CREATE APPOINTMENT, CLASS & BREAK */
.create-acb-popover .dx-popup-normal {
  border-radius: 0;
  border: none;
  background: #FAFAFA;
  box-shadow: 0 2px 6px rgba(0, 0, 0, 0.25);
}

.create-acb-popover .dx-popup-content {
  padding: 0;
}

.create-acb-popover .dx-popover-arrow {
  width: 48px !important;
  height: 28px !important;
}

.create-acb-popover .dx-popover-arrow::after {
  width: 48px;
  height: 28px;
}

.create-acb-popover .acb-popover-header-wrapper {
  height: 36px;
  background: #394085;
  padding: 10px 20px;
}

.create-acb-popover .header-btns {
}

.create-acb-popover .header-btns .divider-v {
  width: 1px;
  height: 16px;
  background: #fafafa;
  margin: 0 20px;
}

.create-acb-popover .acb-popover-header-wrapper .header-close-btn img {
  cursor: pointer;
}

.create-acb-popover .content {
  padding: 14px 20px 20px 20px;
}

.create-acb-popover .clicked-cell-pttr-name {
  color: #394085;
}

.create-acb-popover .patient-search-field-wrapper {
  position: relative;
  margin-top: 10px;
}

.create-acb-popover .patient-search-field-wrapper .icon {
  position: absolute;
  left: 10px;
  top: 7px;
}

.create-acb-popover .patient-search-field-wrapper .patient-search-field {
  width: 295px;
  height: 38px;
  border: 1px solid #dadada;
  border-radius: 5px;
  padding-left: 36px;
  font-size: 12px;
}

.create-acb-popover .patient-search-field-wrapper .patient-search-field:focus {
  outline: 0;
}

.create-acb-popover .patient-search-field-wrapper .patient-search::placeholder {
  color: #939393;
  font-size: 12px;
}

.empty-ecllipse-ic {
  font-size: 16px;
}

/* CUSTOM POPUP FOR APPOINTMENT/CLASS/BREAK */
.app-cell-popover {
  position: absolute;
  top: 20%;
  left: 50%;
  width: 361px;
  height: 134px;
  background: #fafafa;
  z-index: 9999;
  box-shadow: 0 2px 6px rgb(0 0 0 / 25%);

  &.wait-list {
    height: 166px;
  }
}

.app-popover-arrow {
  position: absolute;
  width: 48px;
  height: 28px;
  z-index: -1;
  bottom: -28px;
  left: 50%;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  overflow: hidden;
}

.app-popover-arrow::after {
  content: " ";
  background: #fafafa;
  position: absolute;
  display: block;
  overflow: hidden;
  top: 0;
  left: 0;
  -webkit-transform-origin: top left;
  transform-origin: top left;
  width: 48px;
  height: 28px;
  transform: rotate(-45deg);
  border: 1px solid #dddddd;
}

.wait-list-count-container {
  height: 32px;
  border: 1px solid #394085;
  background: #F3F2F4;
  border-radius: 5px;
  margin-top: 5px;
  font-size: 16px;
  color: #394085;
}

/* STYLE FOR CELL SIZE */
.small-cell {
  min-height: 15px;
  height: 15px;
  max-height: 15px;
}

.medium-cell {
  min-height: 20px;
  height: 20px;
  max-height: 20px;
}

.appt-sdlr-cell {
  min-height: 25px;
  height: 25px;
  max-height: 25px;
}

.large-cell {
  min-height: 30px;
  height: 30px;
  max-height: 30px;
}

.big-cell {
  min-height: 50px;
  height: 50px;
  max-height: 50px;
}


/* tooltip - popup */

.appt-tooltip-popup .dx-popup-normal {
  border-radius: 0 !important;
  background: rgba(55, 55, 55, 1) !important;
  font-size: 12px !important;
  border: none;
}

.appt-tooltip-popup {
  z-index: 10 !important;
}

.appt-tooltip-popup .dx-popup-content {
  padding: 0 !important;
}

.appt-tooltip-popup .dx-popup-normal .dx-popover-arrow {
  width: 20px !important;
  height: 42px !important;
}

.appt-tooltip-popup .dx-popup-normal .dx-popover-arrow:after {
  width: 30px !important;
  height: 30px !important;
  background: rgba(55, 55, 55, 0.9);
  border: none !important;
}

.dx-overlay-content.dx-scheduler-appointment-tooltip-wrapper {
  max-height: 450px
}

.dx-popup-wrapper.dx-scheduler-appointment-tooltip-wrapper .dx-popup-content .dx-list-item .dx-list-item-content, .dx-scheduler-overlay-panel .dx-popup-content .dx-list-item .dx-list-item-content {
  padding: 0px;
}

.dx-popup-content {
  max-height: 450px !important;
}

/* CROSS LINES FOR MISSED APPOINTMENT */
.appt-template-container {
  position: relative;

  .line1 {
    width: 112px;
    height: 47px;
    border-bottom: 1px solid red;
    -webkit-transform: translateY(-20px) translateX(5px) rotate(27deg);
    position: absolute;
    /* top: -20px; */
  }

  .line2 {
    width: 112px;
    height: 47px;
    border-bottom: 1px solid green;
    -webkit-transform: translateY(20px) translateX(5px) rotate(-26deg);
    position: absolute;
    top: -33px;
    left: -13px;
  }
}

/* Waiting Room CSS */
.waiting-room-container {
  position: absolute;
  left: 46px;
  right: 19px;
  bottom: 19px;
  top: calc(100% - 19px);
  transition: top 1s;

  &.active {
    box-shadow: 0px -4px 6px 0px #00000040;
    top: 50%;
    background: white;
    border-radius: 4px 4px 0 0;
    border: 1px solid white;
    z-index: 2;
  }

  .waiting-room-tray-container {
    position: relative;
    left: 0;
    right: 0;
    width: 100%;
    padding: 10px;
  }
}

.small-initial .k-avatar-text {
  font-size: 8px;
}
